Bug 1269643 - usermode : Fix Catalan translation and fix execution permission in source
usermode : Fix Catalan translation and fix execution permission in source
Status: NEW
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Kucera
Fedora Extras Quality Assurance
:
: 1011978 (view as bug list)
Depends On:
Blocks: 1546484
  Show dependency treegraph
 
Reported: 2015-10-07 15:59 EDT by Robert Antoni Buj Gelonch
Modified: 2018-02-18 02:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
L10N (693.49 KB, patch)
2015-10-08 04:18 EDT, Robert Antoni Buj Gelonch
no flags Details | Diff

  None (edit)
Description Robert Antoni Buj Gelonch 2015-10-07 15:59:49 EDT
The translations have not been pulled for 3 years. I sent some fixes for Catalan using zanata https://fedora.zanata.org/iteration/view/usermode/default, and ar.po file has execution permission.

$ fedpkg clone -a -B usermode
$ ls -latrh usermode/f23/usermode-1.111/po
total 1,2M
-rw-r--r--. 1 robert robert 7,1K  7 mar  2012 Makefile.in.in
-rw-r--r--. 1 robert robert  15K 22 set  2012 zh_TW.po
-rw-r--r--. 1 robert robert  15K 22 set  2012 zh_CN.po
-rw-r--r--. 1 robert robert  14K 22 set  2012 vi.po
-rw-r--r--. 1 robert robert  19K 22 set  2012 uk.po
-rw-r--r--. 1 robert robert  15K 22 set  2012 tr.po
-rw-r--r--. 1 robert robert  14K 22 set  2012 tg.po
-rw-r--r--. 1 robert robert  22K 22 set  2012 te.po
-rw-r--r--. 1 robert robert  22K 22 set  2012 ta.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 sv.po
-rw-r--r--. 1 robert robert  18K 22 set  2012 sr.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 sr@latin.po
-rw-r--r--. 1 robert robert  14K 22 set  2012 sl.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 sk.po
-rw-r--r--. 1 robert robert  12K 22 set  2012 si.po
-rw-r--r--. 1 robert robert  19K 22 set  2012 ru.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 ro.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 pt.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 pt_BR.po
-rw-r--r--. 1 robert robert  286 22 set  2012 POTFILES.in
-rw-r--r--. 1 robert robert  16K 22 set  2012 pl.po
-rw-r--r--. 1 robert robert  21K 22 set  2012 pa.po
-rw-r--r--. 1 robert robert  22K 22 set  2012 or.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 nl.po
-rw-r--r--. 1 robert robert  12K 22 set  2012 nds.po
-rw-r--r--. 1 robert robert  15K 22 set  2012 nb.po
-rw-r--r--. 1 robert robert  15K 22 set  2012 ms.po
-rw-r--r--. 1 robert robert  21K 22 set  2012 mr.po
-rw-r--r--. 1 robert robert  24K 22 set  2012 ml.po
-rw-r--r--. 1 robert robert  18K 22 set  2012 mk.po
-rw-r--r--. 1 robert robert 1,1K 22 set  2012 Makevars
-rw-r--r--. 1 robert robert  21K 22 set  2012 mai.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 lv.po
-rw-r--r--. 1 robert robert  318 22 set  2012 LINGUAS
-rw-r--r--. 1 robert robert  17K 22 set  2012 ko.po
-rw-r--r--. 1 robert robert  23K 22 set  2012 kn.po
-rw-r--r--. 1 robert robert  13K 22 set  2012 ka.po
-rw-r--r--. 1 robert robert  17K 22 set  2012 ja.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 it.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 is.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 id.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 hu.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 hr.po
-rw-r--r--. 1 robert robert  21K 22 set  2012 hi.po
-rw-r--r--. 1 robert robert  17K 22 set  2012 he.po
-rw-r--r--. 1 robert robert  21K 22 set  2012 gu.po
-rw-r--r--. 1 robert robert  14K 22 set  2012 gl.po
-rw-r--r--. 1 robert robert  17K 22 set  2012 fr.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 fi.po
-rw-r--r--. 1 robert robert  18K 22 set  2012 fa.po
-rw-r--r--. 1 robert robert  15K 22 set  2012 et.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 es.po
-rw-r--r--. 1 robert robert  15K 22 set  2012 en_GB.po
-rw-r--r--. 1 robert robert  20K 22 set  2012 el.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 de.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 de_CH.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 da.po
-rw-r--r--. 1 robert robert  15K 22 set  2012 cy.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 cs.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 ca.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 bs.po
-rw-r--r--. 1 robert robert  22K 22 set  2012 bn.po
-rw-r--r--. 1 robert robert  22K 22 set  2012 bn_IN.po
-rw-r--r--. 1 robert robert  19K 22 set  2012 bg.po
-rw-r--r--. 1 robert robert  17K 22 set  2012 be.po
-rw-r--r--. 1 robert robert  16K 22 set  2012 ast.po
-rw-r--r--. 1 robert robert  21K 22 set  2012 as.po
-rwxr-xr-x. 1 robert robert  17K 22 set  2012 ar.po
drwxr-xr-x. 5 robert robert 4,0K 22 set  2012 ..
drwxr-xr-x. 2 robert robert 4,0K 22 set  2012 .
Comment 1 Robert Antoni Buj Gelonch 2015-10-08 04:18 EDT
Created attachment 1080917 [details]
L10N

fedpkg clone -a -B usermode
cd usermode/f23
su -c 'dnf builddep -y usermode.spec'
fedpkg prep
cp -rp usermode-1.111 usermode-1.111p
cd usermode-1.111p/po
cat << EOF > zanata.xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<config xmlns="http://zanata.org/namespace/config/">
  <url>https://fedora.zanata.org/</url>
  <project>usermode</project>
  <project-version>default</project-version>
  <project-type>gettext</project-type>

</config>
EOF
chmod 644 zanata.xml
zanata-cli -B pull
chmod 644 th.po ar.po
cat << EOF > LINGUAS
# To regenerate: (cd po; ls | sed -n 's/\.po$//p').  Then remove languages with
# no translations.
EOF
ls | sed -n 's/\.po$//p' | sort >> LINGUAS
cd ..
cd ..
diff -urN usermode-1.111 usermode-1.111p > l10n.patch
Comment 2 Miloslav Trmač 2015-10-08 06:59:33 EDT
Thanks for your report.

The translations were not pulled because that usually only happens during a release process, and there hasn’t been a release for some time.

Is this a general housekeeping request, or do you think the Catalan updates are important enough to warrant making an usermode release?
Comment 3 Robert Antoni Buj Gelonch 2015-10-08 08:05:18 EDT
As well as the developers, usually the translators spend a lot of time reviewing their contributions, like I did for Catalan. From my point of view, all improvements should be notified to upstream team, we should avoid to make a specific patch for Fedora in http://pkgs.fedoraproject.org/cgit/usermode.git/

Having said that, I think that there are many changes in all translations, including a new language (th).
Comment 4 Robert Antoni Buj Gelonch 2015-10-08 08:41:40 EDT
$ perl -e 'use Locale::Language; $lang = code2language('th'); print "$lang"'
Thai
Comment 5 Piotr Drąg 2016-04-16 12:00:13 EDT
*** Bug 1011978 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2016-11-24 07:43:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-11-16 14:31:53 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.